MongoDB\Driver\Manager::getServers
MongoDB\Driver\Command
MongoDB\Driver\Manager
PHP Manual

# MongoDB\Driver\Manager::selectServer

(mongodb >=1.0.0)

MongoDB\Driver\Manager::selectServer — Select a server matching a read preference

### Description

final public MongoDB\Driver\Server MongoDB\Driver\Manager::selectServer ( MongoDB\Driver\ReadPreference `$readPreference` )

Selects a MongoDB\Driver\Server matching `readPreference`. This may be used to preselect a server in order to perform version checking before executing an operation.

### Parameters

`readPreference` (MongoDB\Driver\ReadPreference)

  Optionally, a MongoDB\Driver\ReadPreference to select the server for this operation. If none is given, the read preference from the MongoDB Connection URI will be used.

### Return Values

Returns an MongoDB\Driver\Server matching the read preference.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\ConnectionException if connection to the server fails (for reasons other than authentication).
- Throws MongoDB\Driver\Exception\AuthenticationException if authentication is needed and fails.
- Throws MongoDB\Driver\Exception\RuntimeException if a server matching the read preference could not be found.

### See Also

- MongoDB\Driver\Server
- MongoDB\Driver\Manager::getServers() - Return the servers to which this manager is connected
- » Server Selection Specification

MongoDB\Driver\Manager::getServers
MongoDB\Driver\Command
MongoDB\Driver\Manager
PHP Manual